# Uses of Interface
java.beans.beancontext.BeanContext

Packages that use BeanContext
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
java.beans.beancontext
Provides classes and interfaces relating to bean context.

## Uses of BeanContext in java.beans

Methods in java.beans with parameters of type BeanContext
Modifier and Type
Method
Description
`void`
AppletInitializer.`initialize(Applet newAppletBean, BeanContext bCtxt)`
Deprecated, for removal: This API element is subject to removal in a future version.
If passed to the appropriate variant of java.beans.Beans.instantiate this method will be called in order to associate the newly instantiated Applet (JavaBean) with its AppletContext, AppletStub, and Container.
`static Object`
Beans.`instantiate(ClassLoader cls, String beanName, BeanContext beanContext)`
Instantiate a JavaBean.
`static Object`
Beans.`instantiate(ClassLoader cls, String beanName, BeanContext beanContext, AppletInitializer initializer)`
Deprecated, for removal: This API element is subject to removal in a future version.
It is recommended to use `Beans.instantiate(ClassLoader, String, BeanContext)`, because the Applet API is deprecated.

## Uses of BeanContext in java.beans.beancontext

Subinterfaces of BeanContext in java.beans.beancontext
Modifier and Type
Interface
Description
`interface`
`BeanContextServices`
The BeanContextServices interface provides a mechanism for a BeanContext to expose generic "services" to the BeanContextChild objects within.
Classes in java.beans.beancontext that implement BeanContext
Modifier and Type
Class
Description
`class`
`BeanContextServicesSupport`
This helper class provides a utility implementation of the java.beans.beancontext.BeanContextServices interface.
`class`
`BeanContextSupport`
This helper class provides a utility implementation of the java.beans.beancontext.BeanContext interface.
Fields in java.beans.beancontext declared as BeanContext
Modifier and Type
Field
Description
`protected BeanContext`
BeanContextChildSupport.`beanContext`
The bean context.
`protected BeanContext`
BeanContextEvent.`propagatedFrom`
The `BeanContext` from which this event was propagated
Methods in java.beans.beancontext that return BeanContext
Modifier and Type
Method
Description
`BeanContext`
BeanContextChild.`getBeanContext()`
Gets the `BeanContext` associated with this `BeanContextChild`.
`BeanContext`
BeanContextChildSupport.`getBeanContext()`
Gets the nesting `BeanContext` for this `BeanContextChildSupport`.
`BeanContext`
BeanContextEvent.`getBeanContext()`
Gets the `BeanContext` associated with this event.
`BeanContext`
BeanContextSupport.`getBeanContextPeer()`
Gets the instance of `BeanContext` that this object is providing the implementation for.
`BeanContext`
BeanContextEvent.`getPropagatedFrom()`
Gets the `BeanContext` from which this event was propagated.
Methods in java.beans.beancontext with parameters of type BeanContext
Modifier and Type
Method
Description
`void`
BeanContextChild.`setBeanContext(BeanContext bc)`
Objects that implement this interface, shall fire a java.beans.PropertyChangeEvent, with parameters: propertyName "beanContext", oldValue (the previous nesting `BeanContext` instance, or `null`), newValue (the current nesting `BeanContext` instance, or `null`).
`void`
BeanContextChildSupport.`setBeanContext(BeanContext bc)`
Sets the `BeanContext` for this `BeanContextChildSupport`.
`void`
BeanContextEvent.`setPropagatedFrom(BeanContext bc)`
Sets the `BeanContext` from which this event was propagated.
`boolean`
BeanContextChildSupport.`validatePendingSetBeanContext(BeanContext newValue)`
Called from setBeanContext to validate (or otherwise) the pending change in the nesting BeanContext property value.
Constructors in java.beans.beancontext with parameters of type BeanContext
Modifier
Constructor
Description
`protected`
`BeanContextEvent(BeanContext bc)`
Contruct a BeanContextEvent
``
`BeanContextMembershipEvent(BeanContext bc, Object[] changes)`
Contruct a BeanContextMembershipEvent
``
`BeanContextMembershipEvent(BeanContext bc, Collection changes)`
Contruct a BeanContextMembershipEvent
``
`BeanContextSupport(BeanContext peer)`
Create an instance using with a default locale
``
`BeanContextSupport(BeanContext peer, Locale lcle)`
Create an instance using the specified locale
``
`BeanContextSupport(BeanContext peer, Locale lcle, boolean dtime)`
Create an instance using the specified Locale and design mode.
``
`BeanContextSupport(BeanContext peer, Locale lcle, boolean dTime, boolean visible)`
Construct a BeanContextSupport instance